Skip to content

Attach Alert

POST
/notebooks/{Instance_id}/alerts/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/alerts/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"alert_id": 57
}'

Attach an existing alert to an Instance or Virtual Machine. The VM must be running (“Notebook must be in Running state.”) and the alert must be in the same project (“Alert project and notebook project must be the same.”). A VM alert can measure CPU, memory, network bandwidth, network packet rate, storage IOPS and storage throughput, and, on a GPU VM, GPU temperature and GPU power. A GPU alert on a VM with no GPU is refused with “GPU temperature and GPU power alerts are supported only for GPU series notebooks.”

Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
alert_id

Alert ID to be attached to the notebook

integer

Example

57

Alert attached successfully

Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
notebook
integer
notebook_name
string
alert
object
id
integer
name
string
location
string
resource_type
string
metric_type
string
metric_type_unit
string
operator
string
threshold_value
number format: float
severity
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
alert_name
string
grafana_rule_uid
string
created_at
string format: date-time
updated_at
string format: date-time
errors
object

Example

{
"code": 200,
"message": "Success",
"data": {
"id": 18,
"notebook": 19919,
"notebook_name": "instance-26032514331",
"alert": {
"id": 57,
"name": "alert-260325143350",
"location": "Delhi",
"resource_type": "Instance",
"metric_type": "Ephemeral Storage",
"metric_type_unit": "%",
"operator": "Less Than",
"threshold_value": 23,
"severity": "Warning",
"created_by": {
"id": 1001,
"name": "User Name",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2026-03-25T09:04:09Z",
"updated_at": "2026-03-25T09:04:09Z"
},
"alert_name": "alert-260325143350",
"grafana_rule_uid": "efh2jjjodxq80c",
"created_at": "2026-03-25T09:34:34Z",
"updated_at": "2026-03-25T09:34:34Z"
},
"errors": {}
}